> ## Documentation Index
> Fetch the complete documentation index at: https://browseruse-0aece648-cursor-proxy-indicator-and-text-6cda.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Workspace

> Create a new workspace for persistent shared file storage across sessions.



## OpenAPI

````yaml cloud/openapi/v3.json post /workspaces
openapi: 3.1.0
info:
  title: Browser Use Public API v3
  summary: Browser Use session-based agent API (v3)
  version: 3.0.0
servers:
  - url: https://api.browser-use.com/api/v3
    description: Production server
security: []
paths:
  /workspaces:
    post:
      tags:
        - Workspaces
      summary: Create Workspace
      description: >-
        Create a new workspace for persistent shared file storage across
        sessions.
      operationId: create_workspace_workspaces_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WorkspaceCreateRequest'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspaceView'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    WorkspaceCreateRequest:
      properties:
        name:
          anyOf:
            - type: string
              maxLength: 100
            - type: 'null'
          title: Name
          description: Optional name for the workspace
      type: object
      title: WorkspaceCreateRequest
      description: Request model for creating a new workspace.
    WorkspaceView:
      properties:
        id:
          type: string
          format: uuid
          title: ID
          description: Unique identifier for the workspace
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: Optional name for the workspace
        createdAt:
          type: string
          format: date-time
          title: Created At
          description: Timestamp when the workspace was created
        updatedAt:
          type: string
          format: date-time
          title: Updated At
          description: Timestamp when the workspace was last updated
      type: object
      required:
        - id
        - createdAt
        - updatedAt
      title: WorkspaceView
      description: View model for a workspace — persistent shared storage across sessions.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-Browser-Use-API-Key

````